Bug 198096 - kernel 2.6.17-1.2145_FC5smp hangs my system
kernel 2.6.17-1.2145_FC5smp hangs my system
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-07-09 11:58 EDT by Stephen Adler
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-21 18:12:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stephen Adler 2006-07-09 11:58:46 EDT
Description of problem:

System hangs cold

Version-Release number of selected component (if applicable):


How reproducible:

Every time I boot

Steps to Reproduce:
1. Download the 2.6.17-1.2145_FC5smp through the yum update facility
2. reboot
3. after about 1 minute of up time... Solid Hang...
Actual results:

Expected results:

Additional info:
2.6.16-1.2133_FC5smp works like a charm...
Comment 1 Roy-Magne Mo 2006-09-21 14:53:06 EDT
Check if this solves your problem:
Comment 2 Dave Jones 2006-10-16 13:50:34 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 Stephen Adler 2006-10-29 23:00:53 EST
Thanks for looking into this bug. I know what the problem is. I have an ATI
graphics card (firegl x1). The issue has to do with an AGP bug in the kernel.
Some race condition or something like that. There is a patch for it which exists
in the 2.6.16 kernel, but it got removed in the 2.6.17 kernel. This issue is
still present in the FC6 release of kernels. (both the xen and non xen kernel.)
Installing the propriatary ATI display driver seems to fix the issue. Since then
I've moved on to an NVIDA card and using the nvidia propritary drivers.

Note You need to log in before you can comment on or make changes to this bug.